Package org.linphone.core

# Enum Class AudioDevice.Type

java.lang.Object
java.lang.Enum<AudioDevice.Type>
org.linphone.core.AudioDevice.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<AudioDevice.Type>`, `Constable`

Enclosing interface:
  `AudioDevice`

public static enum AudioDevice.Type extends Enum<AudioDevice.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AuxLine`
AuxLine.
`Bluetooth`
Bluetooth.
`BluetoothA2DP`
Bluetooth A2DP.
`Earpiece`
Earpiece.
`GenericUsb`
GenericUsb.
`Headphones`
Headphones.
`Headset`
Headset.
`HearingAid`
Hearing Aid.
`Microphone`
Microphone.
`Speaker`
Speaker.
`Telephony`
Telephony.
`Unknown`
Unknown.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static AudioDevice.Type`
`fromInt(int value)`
`int`
`toInt()`
`static AudioDevice.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AudioDevice.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Unknown

public static final AudioDevice.Type Unknown
Unknown.

### Microphone

public static final AudioDevice.Type Microphone
Microphone.

### Earpiece

public static final AudioDevice.Type Earpiece
Earpiece.

### Speaker

public static final AudioDevice.Type Speaker
Speaker.

### Bluetooth

public static final AudioDevice.Type Bluetooth
Bluetooth.

### BluetoothA2DP

public static final AudioDevice.Type BluetoothA2DP
Bluetooth A2DP.

### Telephony

public static final AudioDevice.Type Telephony
Telephony.

### AuxLine

public static final AudioDevice.Type AuxLine
AuxLine.

### GenericUsb

public static final AudioDevice.Type GenericUsb
GenericUsb.

### Headset

public static final AudioDevice.Type Headset
Headset.

### Headphones

public static final AudioDevice.Type Headphones
Headphones.

### HearingAid

public static final AudioDevice.Type HearingAid
Hearing Aid.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static AudioDevice.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AudioDevice.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static AudioDevice.Type fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()